Is is possible to have SNMP V2 and V3 in LMS 3.1

Answered Question
Aug 28th, 2009
User Badges:

Hi all,


We just got some new Cisco Wireless controllers and we are using SNMP V3


Is it possible to configure SNMP V3 in the discover settings in Ciscoworks and will it not affect the current SNMP V2 settings we have configured?



Correct Answer by Joe Clarke about 7 years 8 months ago

Well, v3 authPriv is available now provided you install the update. That support is also available in 3.2.

Correct Answer by Joe Clarke about 7 years 8 months ago

No, DFM 3.1.3 is available in LMS 3.1. You can get the update from Common Services > Software Center > Software Update.

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (3 ratings)
Loading.
Joe Clarke Fri, 08/28/2009 - 08:45
User Badges:
  • Cisco Employee,
  • Hall of Fame,

    Founding Member

Yes. Just make sure the ranges do not overlap. If they do, only SNMPv3 will be used. For example, you can have the following configured for v2c:


*.*.*.*


But for v3, you can do:


10.*.*.*


And v3 will only be applied to the 10/8 subnet where as the rest of the devices will be discovered with v2c.

dionjiles Fri, 08/28/2009 - 10:27
User Badges:

Okay since I have a number of devices already using 10.172.x.x but using v2c,

if I use a more specific network 10.165.245.x to use v3 will that work?

Joe Clarke Fri, 08/28/2009 - 10:32
User Badges:
  • Cisco Employee,
  • Hall of Fame,

    Founding Member

Yes. The more specific ranges will be tried first.

dionjiles Fri, 08/28/2009 - 10:39
User Badges:

Cool...thanks for explaining that.


I'm going to give it a shot now.

dionjiles Fri, 08/28/2009 - 11:06
User Badges:

Another issue does DFM not support SNMP V3?


I'm getting errors after I successfully addded the devices to CiscoWorks.


IP Address = 10.165.245.10

DNS Name = 10.165.245.10

Device Status = Unknown

Device Type = N/A

Aliases = N/A

Containments = N/A

DFM Processing = N/A

Time Last Discovered = N/A

Import Time Stamp = 28-Aug-2009 15:03:18


*** Data Collector Status Information ***

Error Code = Unsupported

Error Message = Snmpv3 AuthPriv is not supported

Joe Clarke Fri, 08/28/2009 - 11:07
User Badges:
  • Cisco Employee,
  • Hall of Fame,

    Founding Member

Correct. In order to get DFM authPriv support, you must be running DFM 3.1.3 or higher.

Correct Answer
Joe Clarke Fri, 08/28/2009 - 11:11
User Badges:
  • Cisco Employee,
  • Hall of Fame,

    Founding Member

No, DFM 3.1.3 is available in LMS 3.1. You can get the update from Common Services > Software Center > Software Update.

dionjiles Fri, 08/28/2009 - 11:16
User Badges:

Thanks for the info.


I'm looking to go to LMS 3.2 in a few weeks once I get my servers built with Windows 2008.


I'm really in a catch 22 now....anxious to see what kind of alerts I get in DFM as I'm seeing tons of log information from the the LWAPP's.

Correct Answer
Joe Clarke Fri, 08/28/2009 - 11:21
User Badges:
  • Cisco Employee,
  • Hall of Fame,

    Founding Member

Well, v3 authPriv is available now provided you install the update. That support is also available in 3.2.

Actions

This Discussion